Skip to main content

Post transaction data upon tender in real-time to CMC

To send real-time post-tender (post-purchase) transaction data to CMC, 2 endpoints need to be called in sequence:
  1. StartInteraction endpoint, get the sessionId from there
  2. Call SendTransaction endpoint with the received sessionId
post_transaction_SD.svg

StartInteraction

POST https://apitest.clearline.me/pos/{posSystemId}/startInteraction

Input request

Input parameters

*This Terminal ID must be added to a CFS Terminal in ClearLine

Response

Response parameters

SendTransaction

POST https://apitest.clearline.me/pos/{posSystemId}/transaction

Input request

Input parameters

Response

Response parameters

**If the POS Rule was triggered for this transaction, the response to the transaction POST may contain either a QR code or a CFS Template.

Response example